## org.apache.tools.ant.taskdefs.condition
Class AntVersion

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.condition.AntVersion

All Implemented Interfaces:
  java.lang.Cloneable, Condition

    public class AntVersion

extends Task
implements Condition

An Ant version condition.

Since:
  Ant 1.7

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`AntVersion()`

Method Summary
`boolean` `eval()` Evalute the condition.
`void` `execute()` Run as a task.
`java.lang.String` `getAtLeast()` Get the atleast attribute.
`java.lang.String` `getExactly()` Get the exactly attribute.
`java.lang.String` `getProperty()` Get the name of the property to hold the ant version.
`void` `setAtLeast(java.lang.String atLeast)` Set the atleast attribute.
`void` `setExactly(java.lang.String exactly)` Set the exactly attribute.
`void` `setProperty(java.lang.String propertyname)` Set the name of the property to hold the ant version.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntVersion

    public AntVersion()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Run as a task.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if an error occurs.

### eval

    public boolean eval()
                 throws BuildException

  Evalute the condition.

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the condition is true.
  Throws:
    `BuildException` - if an error occurs.

### getAtLeast

    public java.lang.String getAtLeast()

  Get the atleast attribute.

  Returns:
    the atleast attribute.

### setAtLeast

    public void setAtLeast(java.lang.String atLeast)

  Set the atleast attribute. This is of the form major.minor.point. For example 1.7.0.

  Parameters:
    `atLeast` - the version to check against.

### getExactly

    public java.lang.String getExactly()

  Get the exactly attribute.

  Returns:
    the exactly attribute.

### setExactly

    public void setExactly(java.lang.String exactly)

  Set the exactly attribute. This is of the form major.minor.point. For example 1.7.0.

  Parameters:
    `exactly` - the version to check against.

### getProperty

    public java.lang.String getProperty()

  Get the name of the property to hold the ant version.

  Returns:
    the name of the property.

### setProperty

    public void setProperty(java.lang.String propertyname)

  Set the name of the property to hold the ant version.

  Parameters:
    `propertyname` - the name of the property.